# QuestionnaireResponse _search

`POST /QuestionnaireResponse/_search`

This resource contains a healthcare questionnaire either fully or partially populated with answers. The questionnaire order and groupings are typically defined with a `Questionnaire` resource. 

You can review or retrieve healthcare questionnaire responses.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for a list of questionnaires that are filled, or partially filled. 

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `author` | Array of string | No | The author of the questionnaire response |
| `authored` | Array of string | No | When the questionnaire response was last changed |
| `identifier` | Array of string | No | The identifier of the questionnaire |
| `item-subject` | Array of string | No | The subject of the questionnaire response |
| `item-subject.identifier` | Array of string | No | One or more external identifiers for the patient |
| `questionnaire` | Array of string | No | The questionnaire that was answered |
| `status` | Array of string | No | The status of the questionnaire response |
| `subject` | Array of string | No | The subject of the questionnaire response |
| `subject.identifier` | Array of string | No | One or more external identifiers for the patient |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/QuestionnaireResponse/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'author=string' \
--data-urlencode 'authored=string' \
--data-urlencode 'identifier=string' \
--data-urlencode 'item-subject=string' \
--data-urlencode 'item-subject.identifier=string' \
--data-urlencode 'questionnaire=string' \
--data-urlencode 'status=string' \
--data-urlencode 'subject=string' \
--data-urlencode 'subject.identifier=string'
```

## Responses

### 200

Search results (Bundle)

Response to a QuestionnaireResponse search operation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of QuestionnaireResponse or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (QuestionnaireResponse).resource` | object | Yes | Search results for a search on the QuestionnaireResponse resource. |
| `entry[] (QuestionnaireResponse).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: QuestionnaireResponse |
| `entry[] (QuestionnaireResponse).resource.status` | string | Yes | The position of the questionnaire response within its overall lifecycle. Possible values: in-progress, completed, amended, entered-in-error, stopped |
| `entry[] (QuestionnaireResponse).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (QuestionnaireResponse).resource.identifier` | object | No | A business identifier assigned to a particular completed (or partially completed) questionnaire. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (QuestionnaireResponse).resource.identifier.extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.identifier.use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (QuestionnaireResponse).resource.identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (QuestionnaireResponse).resource.identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (QuestionnaireResponse).resource.basedOn` | Array of object | No | The order, proposal or plan that is fulfilled in whole or in part by this QuestionnaireResponse.  For example, a ServiceRequest seeking an intake assessment or a decision support recommendation to assess for post-partum depression. Must be a resource of type `ServiceRequest`. |
| `entry[] (QuestionnaireResponse).resource.basedOn[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.partOf` | Array of object | No | A procedure or observation that this questionnaire was performed as part of the execution of.  For example, the surgery a checklist was executed as part of. Must reference one of the following types of resources: - `Observation` - `Procedure` |
| `entry[] (QuestionnaireResponse).resource.partOf[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.questionnaire` | string | No | The Questionnaire that defines and organizes the questions for which answers are being provided. |
| `entry[] (QuestionnaireResponse).resource.subject` | object | No | The subject of the questionnaire response.  This could be a patient, organization, practitioner, device, etc.  This is who/what the answers apply to, but is not necessarily the source of information. Must be a resource of type `Resource`. |
| `entry[] (QuestionnaireResponse).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.encounter` | object | No | The Encounter during which this questionnaire response was created or to which the creation of this record is tightly associated. Must be a resource of type `Encounter`. |
| `entry[] (QuestionnaireResponse).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.authored` | string | No | The date and/or time that this set of answers were last changed. |
| `entry[] (QuestionnaireResponse).resource.author` | object | No | Person who received the answers to the questions in the QuestionnaireResponse and recorded them in the system. Must reference one of the following types of resources: - `Practitioner` - `Patient` - `RelatedPerson` - `Device` |
| `entry[] (QuestionnaireResponse).resource.author.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.source` | object | No | The person who answered the questions about the subject. Must reference one of the following types of resources: - `Patient` - `Practitioner` - `RelatedPerson` |
| `entry[] (QuestionnaireResponse).resource.source.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (QuestionnaireResponse).resource.item` | Array of object | No | A group or question item from the original questionnaire for which answers are provided. |
| `entry[] (QuestionnaireResponse).resource.item[].linkId` | string | Yes | The item from the Questionnaire that corresponds to this item in the QuestionnaireResponse resource. |
| `entry[] (QuestionnaireResponse).resource.item[].definition` | string | No | A reference to an ElementDefinition that provides the details for the item. |
| `entry[] (QuestionnaireResponse).resource.item[].text` | string | No | Text that is displayed above the contents of the group or as the text of the question being answered. |
| `entry[] (QuestionnaireResponse).resource.item[].answer` | Array of object | No | The respondent's answer(s) to the question. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueBoolean` | boolean | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueDecimal` | number | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueInteger` | number | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueDate` | string | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueDateTime` | string | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueTime` | string | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueString` | string | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueUri` | string | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment` | object | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.contentType` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._contentType.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.language` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._language.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.data` | string | No | A stream of bytes |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._data.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.url` | string | No | A URI that is a literal reference |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._url.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.size` | number | No | An integer with a value that is not negative (e.g. >= 0) |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._size.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.hash` | string | No | A stream of bytes |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._hash.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.title` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._title.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment.creation` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueAttachment._creation.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding` | object | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system` | object | No | Extensions for system |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.version` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version` | object | No | Extensions for version |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code` | object | No | Extensions for code |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.display` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display` | object | No | Extensions for display |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding.userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected` | object | No | Extensions for userSelected |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueCoding._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity` | object | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.value` | number | No | A rational number with implicit precision |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.comparator` | any | No | How the value should be understood and represented - whether the actual value is greater or less than the stated value due to measurement issues; e.g. if the comparator is "<" , then the real value is < stated value. Possible values: <, <=, >=, > |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._comparator.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.unit` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._unit.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity.code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code` | object | No | Base definition for all elements in a resource. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueQuantity._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference` | object | No | The answer (or one of the answers) provided by the respondent to the question. Only one of `valueBoolean`, `valueDecimal`, `valueInteger`, `valueDate`, `valueDateTime`, `valueTime`, `valueString`, `valueUri`, `valueAttachment`, `valueCoding`, `valueQuantity`, `valueReference` may be present. Must be a resource of type `Resource`. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.reference` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference` | object | No | Extensions for reference |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._reference.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.type` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type` | object | No | Extensions for type |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier` | object | No | An identifier - identifies some entity uniquely and unambiguously. Typically this is used for business identifiers. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.use` | any | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use` | object | No | Extensions for use |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._use.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system` | object | No | Extensions for system |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].version` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version` | object | No | Extensions for version |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code` | object | No | Extensions for code |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].display` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display` | object | No | Extensions for display |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected` | object | No | Extensions for userSelected |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type.text` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text` | object | No | Extensions for text |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.type._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.system` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system` | object | No | Extensions for system |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.value` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value` | object | No | Extensions for value |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier._value.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period` | object | No | Time period during which identifier is/was valid for use. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.start` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start` | object | No | Extensions for start |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._start.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period.end` | string | No | A date, date-time or partial date (e.g. just year or year + month).  If hours and minutes are specified, a time zone SHALL be populated. The format is a union of the schema types gYear, gYearMonth, date and dateTime. Seconds must be provided due to schema type constraints but may be zero-filled and may be ignored.                 Dates SHALL be valid dates. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end` | object | No | Extensions for end |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.identifier.period._end.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference.display` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display` | object | No | Extensions for display |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display.id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display.extension[].id` | string | No | A sequence of Unicode characters |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `entry[] (QuestionnaireResponse).resource.item[].answer[].valueReference._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `entry[] (QuestionnaireResponse).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (QuestionnaireResponse).search.mode` | string | Yes | Identifies the QuestionnaireResponse as matching the search parameters. Value: match |
| `entry[] (Other).search` | object | Yes | Information about the search process that lead to the creation of this entry. |
| `entry[] (Other).search.mode` | string | No | Why this entry is in the result set - whether it's included as a match or because of an _include requirement, or to convey information or warning information about the search process. Possible values: match, include, outcome - why this is in the result set |

_Generated from the schema: the values are placeholders, not a real payload._

```json
{
  "resourceType": "Bundle",
  "type": "searchset",
  "total": 0,
  "entry": [
    {
      "resource": {
        "resourceType": "QuestionnaireResponse",
        "id": "redox-questionnaire-response-example",
        "questionnaire": "https://fhir.redoxengine.com/Questionnaire/patient-intake-questionnaire",
        "status": "completed",
        "subject": {
          "reference": "Patient/example"
        },
        "authored": "2025-03-27T10:00:00Z",
        "item": [
          {
            "linkId": "LittleInterest",
            "text": "Little interest or pleasure in doing things",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6568-5"
                }
              }
            ]
          },
          {
            "linkId": "FeelingDown",
            "text": "Feeling down, depressed, or hopeless",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6568-5"
                }
              }
            ]
          },
          {
            "linkId": "TroubleSleeping",
            "text": "Trouble falling or staying asleep",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6570-1"
                }
              }
            ]
          },
          {
            "linkId": "FeelingTired",
            "text": "Feeling tired or having little energy",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6571-3"
                }
              }
            ]
          },
          {
            "linkId": "BadAppetite",
            "text": "Poor appetite or overeating",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6568-5"
                }
              }
            ]
          },
          {
            "linkId": "FeelingBadAboutSelf",
            "text": "Feeling bad about yourself - or that you are a failure or have let yourself or your family down",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6569-3"
                }
              }
            ]
          },
          {
            "linkId": "TroubleConcentrating",
            "text": "Trouble concentrating on things, such as reading the newspaper or watching television",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6570-1"
                }
              }
            ]
          },
          {
            "linkId": "MovingSpeaking",
            "text": "Moving or speaking so slowly that other people could have noticed. Or the opposite - being so fidgety or restless that you have been moving around a lot more than usual",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6568-5"
                }
              }
            ]
          },
          {
            "linkId": "TotalScore",
            "text": "Total score",
            "answer": [
              {
                "valueInteger": 10
              }
            ]
          },
          {
            "linkId": "Difficulty",
            "text": "If you checked off any problems, how difficult have these problems made it for you to do your work, take care of things at home, or get along with other people",
            "answer": [
              {
                "valueCoding": {
                  "system": "http://loinc.org",
                  "code": "LA6570-1"
                }
              }
            ]
          }
        ]
      },
      "search": {
        "mode": "match"
      }
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
